Bug 426096 - Xenoprof check_ctrs/start/stop fixes for intel family 6
Xenoprof check_ctrs/start/stop fixes for intel family 6
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Markus Armbruster
Martin Jenner
:
: 430474 (view as bug list)
Depends On:
Blocks: 448753 RHEL5u3_relnotes 458824
  Show dependency treegraph
 
Reported: 2007-12-18 10:04 EST by Markus Armbruster
Modified: 2010-03-14 17:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
On Intel processors that return a CPUID family value of 6, only one performance counter register was enabled in kernel-xen. Consequently, only counter 0 provided samples. In this update, this issue has been resolved.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:21:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Markus Armbruster 2007-12-18 10:04:12 EST
Description of problem:
xen-unstable cset 16614 fixes methods check_ctrs, start, stop for intel family 6
cpus.  Their impact is unclear (the commit message is of not much help).
Comment 1 Markus Armbruster 2008-01-08 13:27:34 EST
Author of cset 16614 explains: 

Yes, c/s 16614 is a simple and clean fix of xenoprof. Previous code
enables only one hardware performance monitoring register in Xen HV
regardless of how many the user want to use. If xenoprof is not used, it
has no other effect.
Comment 2 RHEL Product and Program Management 2008-06-09 17:59:39 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Don Zickus 2008-08-13 12:06:39 EDT
in kernel-2.6.18-104.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 5 Don Zickus 2008-08-27 15:23:25 EDT
I think I accidentally changed this, but I it doesn't look like I included the patch yet.
Comment 6 Don Zickus 2008-09-02 23:38:32 EDT
in kernel-2.6.18-107.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 8 Ryan Lerch 2008-11-05 23:22:40 EST
This bug (feature request) has been marked for inclusion in the Red Hat
Enterprise Linux 5.3 Release Notes.

To aid in the development of relevant and accurate release notes, please fill
out the "Release Notes" field above with the following 4 pieces of information:


Cause:   What actions or circumstances induced the feature request.

Consequence:  What action was inhibited by the feature's absence.

Fix:   What was done to implement the feature.

Result:  now happens when the actions or circumstances above occur. (NB: this
is not the same as 'the feature request was fulfilled')
Comment 10 Markus Armbruster 2008-11-06 14:00:08 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: intel family 6 CPUs provide several performance counter
registers, but we enabled only one.

Consequence: Only counter 0 provides samples.  Other counters don't
produce samples.

Fix: Backport relevant fixes from upstream.

Result: All counters produce samples.

Note that the above actually covers two bzs: this one (Xen) and bug
458824 (bare metal).
Comment 16 Ryan Lerch 2008-12-08 17:55:33 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,12 +1 @@
-Cause: intel family 6 CPUs provide several performance counter
+On Intel processors that return a CPUID family value of 6, only one performance counter register was enabled in kernel-xen. Consequently, only counter 0 provided samples. In this update, this issue has been resolved.-registers, but we enabled only one.
-
-Consequence: Only counter 0 provides samples.  Other counters don't
-produce samples.
-
-Fix: Backport relevant fixes from upstream.
-
-Result: All counters produce samples.
-
-Note that the above actually covers two bzs: this one (Xen) and bug
-458824 (bare metal).
Comment 18 errata-xmlrpc 2009-01-20 15:21:15 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html
Comment 19 Jerome Marchand 2010-01-27 09:55:46 EST
*** Bug 430474 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.